ElisionFilter (Lucene 10.5.0 common API)
Description: declaration: package: org.apache.lucene.analysis.util, class: ElisionFilter

Package org.apache.lucene.analysis.util

# Class ElisionFilter

java.lang.Object
org.apache.lucene.util.AttributeSource
org.apache.lucene.analysis.TokenStream
org.apache.lucene.analysis.TokenFilter
org.apache.lucene.analysis.util.ElisionFilter

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Unwrappable<TokenStream>`

public final class ElisionFilter extends TokenFilter
Removes elisions from a `TokenStream`. For example, "l'avion" (the plane) will be tokenized as "avion" (plane).

See Also:
  - Elision in Wikipedia

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

  `AttributeSource.State`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.analysis.TokenFilter

  `input`

  ### Fields inherited from class org.apache.lucene.analysis.TokenStream

  `DEFAULT_TOKEN_ATTRIBUTE_FACTORY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ElisionFilter(TokenStream input, CharArraySet articles)`
  Constructs an elision filter with a Set of stop words

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `incrementToken()`
  Increments the `TokenStream` with a `CharTermAttribute` without elisioned start

  ### Methods inherited from class org.apache.lucene.analysis.TokenFilter

  `close, end, reset, unwrap`

  ### Methods inherited from class org.apache.lucene.util.AttributeSource

  `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, endAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, removeAllAttributes, restoreState, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ElisionFilter

    public ElisionFilter(TokenStream input, CharArraySet articles)
    Constructs an elision filter with a Set of stop words
    Parameters:
      `input` - the source `TokenStream`
      `articles` - a set of stopword articles

- ## Method Details

  - ### incrementToken

    public final boolean incrementToken() throws IOException
    Increments the `TokenStream` with a `CharTermAttribute` without elisioned start
    Specified by:
      `incrementToken` in class `TokenStream`
    Throws:
      `IOException`